%define url_ver %(echo %{version} | cut -d. -f1,2)

#exclude plugin .so from provides
%global __provides_exclude_from %{_libdir}/xfce4/panel/plugins/.*\\.so

Summary: 	An eyes plugin for the Xfce panel
Name: 		xfce4-eyes-plugin
Version: 	4.6.2
Release: 	%mkrel 2
License:	GPLv2+
Group: 		Graphical desktop/Xfce
URL:		https://goodies.xfce.org/projects/panel-plugins/xfce4-eyes-plugin
Source0: 	https://archive.xfce.org/src/panel-plugins/xfce4-eyes-plugin/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	intltool
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libxfce4ui-2)
BuildRequires:	pkgconfig(libxfce4panel-2.0) >= 4.16.0
Requires:	xfce4-panel >= 4.16.0

%description
An eyes plugin for the Xfce panel.

%prep
%setup -q
%autopatch -p1

%build
%configure
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%doc ChangeLog AUTHORS
%{_libdir}/xfce4/panel/plugins/libeyes.so
%{_iconsdir}/hicolor/*/apps/xfce4-eyes.png
%{_datadir}/xfce4/eyes/themes/*/*
%{_datadir}/xfce4/panel/plugins/eyes.desktop


%changelog
* Tue Jul 01 2025 umeabot <umeabot> 4.6.2-2.mga10
+ Revision: 2232848
- Mageia 10 Mass Rebuild

* Wed Dec 25 2024 wally <wally> 4.6.2-1.mga10
+ Revision: 2130045
- new version 4.6.2

* Wed Dec 25 2024 wally <wally> 4.6.1-1.mga10
+ Revision: 2130038
- new version 4.6.1

* Mon Apr 18 2022 wally <wally> 4.6.0-1.mga9
+ Revision: 1851159
- new version 4.6.0

* Mon Apr 04 2022 umeabot <umeabot> 4.5.1-2.mga9
+ Revision: 1843132
- Mageia 9 Mass Rebuild

* Tue Jun 30 2020 wally <wally> 4.5.1-1.mga8
+ Revision: 1600774
- new version 4.5.1

* Fri Feb 14 2020 umeabot <umeabot> 4.5.0-2.mga8
+ Revision: 1521748
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Mon Dec 31 2018 wally <wally> 4.5.0-1.mga7
+ Revision: 1347450
- new version 4.5.0
- switch to gtk3

* Sun Sep 23 2018 umeabot <umeabot> 4.4.5-2.mga7
+ Revision: 1301860
- Mageia 7 Mass Rebuild

* Mon Apr 25 2016 wally <wally> 4.4.5-1.mga6
+ Revision: 1006133
- new version 4.4.5

* Wed Feb 17 2016 umeabot <umeabot> 4.4.4-2.mga6
+ Revision: 963545
- Mageia 6 Mass Rebuild

* Sun Jun 21 2015 wally <wally> 4.4.4-1.mga6
+ Revision: 837955
- new version 4.4.4

* Tue Mar 03 2015 wally <wally> 4.4.3-2.mga5
+ Revision: 817439
- rebuild for new libxfce4util

* Sat Feb 07 2015 wally <wally> 4.4.3-1.mga5
+ Revision: 813877
- new version 4.4.3

* Wed Oct 15 2014 umeabot <umeabot> 4.4.2-4.mga5
+ Revision: 746231
- Second Mageia 5 Mass Rebuild

* Sat Sep 20 2014 wally <wally> 4.4.2-3.mga5
+ Revision: 697580
- exclude plugin .so from provides
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 4.4.2-2.mga4
+ Revision: 535984
- Mageia 4 Mass Rebuild

* Mon Mar 04 2013 wally <wally> 4.4.2-1.mga4
+ Revision: 401407
- new version 4.4.2
- drop unneeded patches

* Mon Jan 14 2013 umeabot <umeabot> 4.4.1-7.mga3
+ Revision: 386820
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 wally <wally> 4.4.1-6.mga3
+ Revision: 338176
- add patch to fix build with automake 1.13
- fix build after %%_libexecdir change

* Thu May 31 2012 wally <wally> 4.4.1-5.mga3
+ Revision: 252476
- port to libxfce4ui

* Mon May 28 2012 wally <wally> 4.4.1-4.mga3
+ Revision: 248716
- rebuild for new libxfce4util
- clean .spec

* Tue Jan 03 2012 wally <wally> 4.4.1-3.mga2
+ Revision: 190059
- rebuild for new xfce4-panel

* Sat Feb 19 2011 ahmad <ahmad> 4.4.1-2.mga1
+ Revision: 54180
- imported package xfce4-eyes-plugin


* Wed Jan 26 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-1mdv2011.0
+ Revision: 632789
- update to new version 4.4.1
- update url for Source0
- drop old scriplets

* Wed Dec 08 2010 Oden Eriksson <oeriksson@mandriva.com> 4.4.0-11mdv2011.0
+ Revision: 615598
- the mass rebuild of 2010.1 packages

* Fri May 07 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.0-10mdv2010.1
+ Revision: 543424
- rebuild for mdv 2010.1

* Sun Sep 20 2009 Thierry Vignaud <tv@mandriva.org> 4.4.0-9mdv2010.0
+ Revision: 446019
- rebuild

* Thu Mar 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.0-8mdv2009.1
+ Revision: 349453
- rebuild for xfce-4.6.0

* Sat Oct 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.0-7mdv2009.1
+ Revision: 294994
- rebuild for new Xfce4.6 beta1

* Sun Aug 03 2008 Thierry Vignaud <tv@mandriva.org> 4.4.0-6mdv2009.0
+ Revision: 262357
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 4.4.0-5mdv2009.0
+ Revision: 256864
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Nov 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.0-3mdv2008.1
+ Revision: 110118
- correct buildrequires
- new license policy
- use upstream tarball name as a real name
- do not package COPYING
- spec file clean
- use upstream name

* Fri May 25 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.0-2mdv2008.0
+ Revision: 31033
- add %%post and %%postun scripts

* Thu May 24 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.0-1mdv2008.0
+ Revision: 30530
- Import xfce-eyes-plugin

